
package de.meinefirma.meinprojekt.ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the de.meinefirma.meinprojekt.ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FindeBuecherResponse_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "findeBuecherResponse");
    private final static QName _BuecherTO_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "buecherTO");
    private final static QName _GetBuchByIsbn_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "getBuchByIsbn");
    private final static QName _DCException_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "DCException");
    private final static QName _CreateBuchResponse_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "createBuchResponse");
    private final static QName _GetBuchByIsbnResponse_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "getBuchByIsbnResponse");
    private final static QName _CreateBuch_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "createBuch");
    private final static QName _FindeBuecher_QNAME = new QName("http://ws.meinprojekt.meinefirma.de/", "findeBuecher");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.meinefirma.meinprojekt.ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CreateBuch }
     * 
     */
    public CreateBuch createCreateBuch() {
        return new CreateBuch();
    }

    /**
     * Create an instance of {@link GetBuchByIsbn }
     * 
     */
    public GetBuchByIsbn createGetBuchByIsbn() {
        return new GetBuchByIsbn();
    }

    /**
     * Create an instance of {@link DCException }
     * 
     */
    public DCException createDCException() {
        return new DCException();
    }

    /**
     * Create an instance of {@link GetBuchByIsbnResponse }
     * 
     */
    public GetBuchByIsbnResponse createGetBuchByIsbnResponse() {
        return new GetBuchByIsbnResponse();
    }

    /**
     * Create an instance of {@link FindeBuecher }
     * 
     */
    public FindeBuecher createFindeBuecher() {
        return new FindeBuecher();
    }

    /**
     * Create an instance of {@link CreateBuchResponse }
     * 
     */
    public CreateBuchResponse createCreateBuchResponse() {
        return new CreateBuchResponse();
    }

    /**
     * Create an instance of {@link BuecherTO }
     * 
     */
    public BuecherTO createBuecherTO() {
        return new BuecherTO();
    }

    /**
     * Create an instance of {@link FindeBuecherResponse }
     * 
     */
    public FindeBuecherResponse createFindeBuecherResponse() {
        return new FindeBuecherResponse();
    }

    /**
     * Create an instance of {@link BuchDO }
     * 
     */
    public BuchDO createBuchDO() {
        return new BuchDO();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindeBuecherResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "findeBuecherResponse")
    public JAXBElement<FindeBuecherResponse> createFindeBuecherResponse(FindeBuecherResponse value) {
        return new JAXBElement<FindeBuecherResponse>(_FindeBuecherResponse_QNAME, FindeBuecherResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BuecherTO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "buecherTO")
    public JAXBElement<BuecherTO> createBuecherTO(BuecherTO value) {
        return new JAXBElement<BuecherTO>(_BuecherTO_QNAME, BuecherTO.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBuchByIsbn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "getBuchByIsbn")
    public JAXBElement<GetBuchByIsbn> createGetBuchByIsbn(GetBuchByIsbn value) {
        return new JAXBElement<GetBuchByIsbn>(_GetBuchByIsbn_QNAME, GetBuchByIsbn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DCException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "DCException")
    public JAXBElement<DCException> createDCException(DCException value) {
        return new JAXBElement<DCException>(_DCException_QNAME, DCException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateBuchResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "createBuchResponse")
    public JAXBElement<CreateBuchResponse> createCreateBuchResponse(CreateBuchResponse value) {
        return new JAXBElement<CreateBuchResponse>(_CreateBuchResponse_QNAME, CreateBuchResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBuchByIsbnResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "getBuchByIsbnResponse")
    public JAXBElement<GetBuchByIsbnResponse> createGetBuchByIsbnResponse(GetBuchByIsbnResponse value) {
        return new JAXBElement<GetBuchByIsbnResponse>(_GetBuchByIsbnResponse_QNAME, GetBuchByIsbnResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateBuch }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "createBuch")
    public JAXBElement<CreateBuch> createCreateBuch(CreateBuch value) {
        return new JAXBElement<CreateBuch>(_CreateBuch_QNAME, CreateBuch.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindeBuecher }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.meinprojekt.meinefirma.de/", name = "findeBuecher")
    public JAXBElement<FindeBuecher> createFindeBuecher(FindeBuecher value) {
        return new JAXBElement<FindeBuecher>(_FindeBuecher_QNAME, FindeBuecher.class, null, value);
    }

}
