package integrationstest;

import static org.testng.Assert.assertEquals;
import org.testng.annotations.Test;
import javax.xml.ws.Endpoint;
import de.meinefirma.meinprojekt.TestWsClient;
import de.meinefirma.meinprojekt.ws.BuecherServiceImpl;

public class WsMitEndpointIntegrTest
{
   @Test public void testWsMitEndpoint() throws Exception
   {
      String   url = "http://localhost:4434/buecherverwaltung";
      int      anzahlBuecher = 100;
      Endpoint ep = Endpoint.publish( url, new BuecherServiceImpl() );
      int      anzahlBuecherResult = TestWsClient.test( "WsMitEndpointIntegrTest", url, 4000000000L, anzahlBuecher, true );
      ep.stop();
      assertEquals( anzahlBuecherResult, anzahlBuecher );
   }
}
